org.apache.mina.filter.reqres

## Class RequestTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.filter.reqres.RequestTimeoutException

- All Implemented Interfaces:
    Serializable

      public class RequestTimeoutException
      extends RuntimeException

  An `RuntimeIoException` which is thrown when a `Request` is timed out.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestTimeoutException(Request request)` Creates a new exception.
    `RequestTimeoutException(Request request, String s)` Creates a new exception.
    `RequestTimeoutException(Request request, String message, Throwable cause)` Creates a new exception.
    `RequestTimeoutException(Request request, Throwable cause)` Creates a new exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Request` | `getRequest()` Returns the request which has timed out.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestTimeoutException

          public RequestTimeoutException(Request request)

      Creates a new exception.

    - #### RequestTimeoutException

          public RequestTimeoutException(Request request,
                                 String s)

      Creates a new exception.

    - #### RequestTimeoutException

          public RequestTimeoutException(Request request,
                                 String message,
                                 Throwable cause)

      Creates a new exception.

    - #### RequestTimeoutException

          public RequestTimeoutException(Request request,
                                 Throwable cause)

      Creates a new exception.

  - ### Method Detail

    - #### getRequest

          public Request getRequest()

      Returns the request which has timed out.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.